# module DRb::DRbObservable

The `Observable` module extended to `DRb`. See `Observable` for details.

### Public Instance Methods

notify_observers(*arg) click to toggle source

Notifies observers of a change in state. See also `Observable#notify_observers`

    # File lib/drb/observer.rb, line 11
    def notify_observers(*arg)
      if defined? @observer_state and @observer_state
        if defined? @observer_peers
          @observer_peers.each do |observer, method|
            begin
              observer.__send__(method, *arg)
            rescue
              delete_observer(observer)
            end
          end
        end
        @observer_state = false
      end
    end